summaryrefslogtreecommitdiffstats
path: root/games/firestorm-opensim/firestorm-opensim.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/firestorm-opensim/firestorm-opensim.SlackBuild')
-rw-r--r--games/firestorm-opensim/firestorm-opensim.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/games/firestorm-opensim/firestorm-opensim.SlackBuild b/games/firestorm-opensim/firestorm-opensim.SlackBuild
new file mode 100644
index 0000000000..bf8304c33a
--- /dev/null
+++ b/games/firestorm-opensim/firestorm-opensim.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Phoenix Firestorm
+#
+# This script will repackage the binary distribution into a Slackware package
+#
+# Martin Rogge <martin_rogge@users.sourceforge.net>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# NOTE: this SlackBuild is made for the Opensim release of Firestorm.
+# It can be used for the Second Life main grid and beta grid as well.
+# However, if you require those features specific to the Havoc release
+# of Firestorm you should build the standard release of Firestorm
+# for which a separate package is available.
+# Both packages can be installed in parallel on the same installation.
+
+
+PRGNAM=firestorm-opensim
+VERSION=${VERSION:-4.4.1.34164}
+EXTRAVERSION=${EXTRAVERSION:-OS}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "i686" ] ; then
+ echo "Architecture other than i686 is not supported by upstream at this point."
+ exit
+fi
+
+set -e
+
+BASENAME="Phoenix_Firestorm-Release_i686_${VERSION}"
+FILENAME="Phoenix_Firestorm-Release_i686_${VERSION}${EXTRAVERSION}.tar.bz2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BASENAME
+tar xvjf $CWD/$FILENAME
+cd $BASENAME
+
+chown -R root:root .
+chmod -R u+rw-s,go+r-ws .
+
+mkdir -p $PKG/opt/$PRGNAM
+# copy files just like the install script would do
+cp -a * $PKG/opt/$PRGNAM
+# avoid overwriting the previous configuration
+mv $PKG/opt/$PRGNAM/firestorm $PKG/opt/$PRGNAM/firestorm.new
+# sound configuration for standard Slackware installation
+cat firestorm | sed -e 's/^#export LL_BAD_OPENAL_DRIVER=x/export LL_BAD_OPENAL_DRIVER=x/' > $PKG/opt/$PRGNAM/firestorm.new
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/bash
+cd /opt/$PRGNAM
+exec /opt/$PRGNAM/firestorm
+EOF
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+install -m 0644 -p -D $TMP/$BASENAME/firestorm_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FIRESTORM_DESKTOPINSTALL.txt README*.txt VivoxAUP.txt featuretable_linux.txt gpu_table.txt licenses.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file